package ballerina.lang.typemappers;

@doc:Description ("Converts XML to JSON")
@doc:Param ("x: XML value to be converted" )
@doc:Return ("json: JSON representation of the given XML" )
native typemapper xmlTojson (xml x) (json);

@doc:Description ("Converts XML to a string")
@doc:Param ("value: XML value to be converted" )
@doc:Return ("string: String representation of the given XML" )
native typemapper xmlToString (xml x) (string);

@doc:Description ("Converts a string to XML")
@doc:Param ("value: String value to be converted" )
@doc:Return ("xml: XML representation of the given string" )
native typemapper stringToXML (string value) (xml);

@doc:Description ("Converts JSON to a string")
@doc:Param ("j: JSON value to be converted" )
@doc:Return ("string: String representation of the given JSON" )
native typemapper jsonToString (json j) (string);

@doc:Description ("Converts JSON to XML")
@doc:Param ("j: JSON value to be converted" )
@doc:Return ("xml: XML representation of the given JSON" )
native typemapper jsonToxml (json j) (xml);

@doc:Description ("Converts a string to JSON")
@doc:Param ("value: String value to be converted" )
@doc:Return ("json: JSON representation of the given string" )
native typemapper stringToJSON (string value) (json);

